DtTermDisplaySend(library call)

NAME
DtTermDisplaySend — send data to a DtTerm widget's display

SYNOPSIS

#include &<Dt/Term.h>
void DtTermDisplaySend(
Widget widget,
unsigned char *buffer,
int length);

DESCRIPTION

The DtTermDisplaySend function sends data to a DtTerm widget's display.

The widget argument specifies the DtTerm widget ID.

The buffer argument specifies the string (single- or multi-byte depending on the locale) to be sent to the display. The string may contain NULL bytes.

The length argument specifies the length of buffer in bytes.

The DtTermDisplaySend function allows the program to write text directly to the DtTerm widget's text display. The text is handled in the same manner as text received from the child process. Before the text is written in the window, the DtTerm widget's input parser processes it.

RETURN VALUES

The DtTermDisplaySend function returns no value.

SEE ALSO

Dt/Term.h - DtTerm(5), DtTerm(3).